For the complete documentation index, see llms.txt. This page is also available as Markdown.

Quota Basic Address

Update quota mode and amount

patch
Path parameters
addressstringRequired

Address

Query parameters
modestring · enumRequired

Mode, UNLIMITED|TRANSFER_QUOTA|ENERGY_QUOTA

Possible values:
reset_used_countbooleanRequired

Whether to reset used quota (when true, used_count is recalculated and quota_start_time is recorded)

countinteger · int32Optional

Quota amount (effective when mode=TRANSFER_QUOTA|ENERGY_QUOTA, cannot be less than used_count)

Default: 0
Header parameters
CF-ACCESS-KEYstringRequired

The API access key.

Example: your api key
CF-ACCESS-SIGNstringRequired

The Base64-encoded signature.

Example: signature
CF-ACCESS-TIMESTAMPstringRequired

The UTC request timestamp (e.g. 2008-08-08T08:08:08.888Z).

Responses
200

OK

application/json
codeinteger · int32Optional

Returns 0 on success; all other values indicate errors

msgstringOptional

Error message returned when an error occurs

sub_codestringOptional
sub_msgstringOptional
patch/v1/mate/open/basic/{address}/quota
PATCH /v1/mate/open/basic/{address}/quota?mode=UNLIMITED&reset_used_count=true HTTP/1.1
Host: api.catfee.io
CF-ACCESS-KEY: text
CF-ACCESS-SIGN: text
CF-ACCESS-TIMESTAMP: text
Accept: */*
200

OK

{
  "code": 1,
  "msg": "text",
  "sub_code": "text",
  "sub_msg": "text",
  "data": {
    "id": 1,
    "address": "text",
    "plan_id": 1,
    "plan_name_en": "text",
    "plan_name_zh": "text",
    "plan_subscription_sun": 1,
    "plan_unit_sun": 1,
    "quota_mode": "UNLIMITED",
    "slot_next_billing_timestamp": 1,
    "quantity": 1,
    "used_quantity": 1,
    "quota_count": 1,
    "used_count": 1,
    "quota_start_time": 1,
    "total_transfer_count": 1,
    "total_energy_count": 1,
    "total_slot_fee": 1,
    "total_energy_fee": 1,
    "remark": "text",
    "is_auto_closable": true,
    "idle_hours": 1,
    "bandwidth_guarantee": true,
    "status": "ACTIVE",
    "expired_at": 1,
    "created_at": 1
  }
}

Last updated